Subject: FRAMEWORK-FEEDBACK-PIB (RFC 3571) errata

From: Michael Kirkham <[email-masked]>
Date: Sun, 13 Feb 2005 02:17:07 -0800 (PST)

Updating my MIB/PIB repository, I came across this item again.  Looking 
back in the archive it seems I didn't bring it up the last time I saw it. 
MIB Smithy generates the following warning and error for 
FRAMEWORK-FEEDBACK-PIB:

FRAMEWORK-FEEDBACK-PIB.mib [FRAMEWORK-FEEDBACK-PIB] : warning : SMIv2 
macros/base types cannot be imported in COPS-PR-SPPI modules, nor 
vise-versa.
FRAMEWORK-FEEDBACK-PIB.mib [FRAMEWORK-FEEDBACK-PIB:Usage64] : error : 
'Unsigned64' data type is only supported by COPS-PR-SPPI.

What happens here is it sees you've imported TEXTUAL-CONVENTION from 
SNMPv2-TC and uses SMIv2 rules to validate the Usage64 TEXTUAL-CONVENTION, 
in which the Unsigned64 data type is not allowed.  FRAMEWORK-FEEDBACK-PIB 
should import TEXTUAL-CONVENTION from COPS-PR-SPPI-TC rather than 
SNMPv2-TC.  The warning probably ought to be an error too, but it's 
somewhat iffy as it's not specifically stated in the specs and there is 
overlap between the base types and their encodings (except Unsigned64).

--
Michael Kirkham
www.muonics.com

---

From: Michael Kirkham <[email-masked]>
Date: Sun, 13 Feb 2005 02:19:10 -0800 (PST)

Oops.  I mean should import from COPS-PR-SPPI.  Also the warning is iffy 
because importing non-base types from MIBs is allowed - I think that's 
probably why I made it a warning.

On Sun, 13 Feb 2005, Michael Kirkham wrote:

> Date: Sun, 13 Feb 2005 02:17:07 -0800 (PST)
> From: Michael Kirkham <[email-masked]>
> To: [email-masked]
> Subject: FRAMEWORK-FEEDBACK-PIB (RFC 3571) errata
> 
>
> Updating my MIB/PIB repository, I came across this item again.  Looking back 
> in the archive it seems I didn't bring it up the last time I saw it. MIB 
> Smithy generates the following warning and error for FRAMEWORK-FEEDBACK-PIB:
>
> macros/base types cannot be imported in COPS-PR-SPPI modules, nor vise-versa.
> SNMPv2-TC and uses SMIv2 rules to validate the Usage64 TEXTUAL-CONVENTION, in 
> which the Unsigned64 data type is not allowed.  FRAMEWORK-FEEDBACK-PIB should 
> import TEXTUAL-CONVENTION from COPS-PR-SPPI-TC rather than SNMPv2-TC.  The 
> warning probably ought to be an error too, but it's somewhat iffy as it's not 
> specifically stated in the specs and there is overlap between the base types 
> and their encodings (except Unsigned64).
>
> --
> Michael Kirkham
> www.muonics.com
>

--
Michael Kirkham
www.muonics.com